"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RepositoryType = exports.ActionType = void 0;
var ActionType;
(function (ActionType) {
    ActionType["Install"] = "install";
    ActionType["Publish"] = "publish";
    ActionType["Unpublish"] = "unpublish";
})(ActionType = exports.ActionType || (exports.ActionType = {}));
var RepositoryType;
(function (RepositoryType) {
    RepositoryType["Global"] = "global";
    RepositoryType["Private"] = "private";
})(RepositoryType = exports.RepositoryType || (exports.RepositoryType = {}));
var PackageVersionErrorCodeEnum;
(function (PackageVersionErrorCodeEnum) {
    PackageVersionErrorCodeEnum["ALREADY_EXISTS"] = "ALREADY_EXISTS";
    PackageVersionErrorCodeEnum["MISMATCHED_REVISION"] = "MISMATCHED_REVISION";
    PackageVersionErrorCodeEnum["MISMATCHED_STATUS"] = "MISMATCHED_STATUS";
    PackageVersionErrorCodeEnum["NOT_ALLOWED"] = "NOT_ALLOWED";
    PackageVersionErrorCodeEnum["NOT_FOUND"] = "NOT_FOUND";
    PackageVersionErrorCodeEnum["SKIPPED"] = "SKIPPED";
})(PackageVersionErrorCodeEnum || (PackageVersionErrorCodeEnum = {}));
var PackageVersionStatusEnum;
(function (PackageVersionStatusEnum) {
    PackageVersionStatusEnum["ARCHIVED"] = "Archived";
    PackageVersionStatusEnum["DELETED"] = "Deleted";
    PackageVersionStatusEnum["DISPOSED"] = "Disposed";
    PackageVersionStatusEnum["PUBLISHED"] = "Published";
    PackageVersionStatusEnum["UNFINISHED"] = "Unfinished";
    PackageVersionStatusEnum["UNLISTED"] = "Unlisted";
})(PackageVersionStatusEnum || (PackageVersionStatusEnum = {}));
//# sourceMappingURL=ewizardService.types.js.map