"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ramda_1 = require("ramda");
class Checksums {
    constructor(checksumsObject = {}) {
        this.__checksums = checksumsObject;
    }
    getChecksums() {
        return this.__checksums;
    }
    add(relativePath, fileChecksum) {
        this.__checksums[relativePath] = fileChecksum;
    }
    get(relativePath) {
        return this.__checksums[relativePath];
    }
    static equals(sum1, sum2) {
        return (0, ramda_1.equals)(sum1.getChecksums(), sum2.getChecksums());
    }
}
exports.default = Checksums;
//# sourceMappingURL=Checksums.js.map