import { ITokenHandler } from '../Token-handler/ITokenHandler';
import IRequest from '../interfaces/IRequest';
import AuthService from '../interfaces/AuthService';
import Request from '../Request';
export default class SecureRequest extends Request implements IRequest {
    private tokenHandler;
    private authService;
    constructor(tokenHandler: ITokenHandler, authService: AuthService);
    get(url: string, options?: any): Promise<any>;
    post(url: string, options?: any): Promise<any>;
    put(url: string, options?: any): Promise<any>;
    patch(url: string, options?: any): Promise<any>;
    delete(url: string, options?: any): Promise<any>;
    download(url: string, filename: string, options?: any): Promise<void>;
    private sendRequest;
    private createRequestWithAuth;
    private refreshTokenAndTryAgain;
}
