"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getConnection = void 0;
const socket_io_client_1 = require("socket.io-client");
const urljoin = require('url-join');
const defaultConnectionUrlOptions = {
    namespace: '/',
    domain: '',
};
function getConnection(_urlOptions = {}, socketOptions = {}) {
    const { namespace, domain } = Object.assign(Object.assign({}, defaultConnectionUrlOptions), _urlOptions);
    return (0, socket_io_client_1.io)(urljoin(domain, namespace), Object.assign(Object.assign({}, socketOptions), { transports: ['websocket'] }));
}
exports.getConnection = getConnection;
//# sourceMappingURL=socketManager.js.map