"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDevOptions = void 0;
function getDevOptions(options) {
    const { watch, fix, live, debug, template, from, validate } = options;
    const layout = from === null || from === void 0 ? void 0 : from[0];
    return {
        watch,
        live,
        debug,
        template,
        layout,
        validate,
        eslint: {
            fix,
        },
    };
}
exports.getDevOptions = getDevOptions;
//# sourceMappingURL=getDevOptions.js.map