"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.filterFiles = exports.DEFAULT_FILES_PATTERN = exports.EMAIL_FILES_PATTERN = exports.REQUIRED_FILES_PATTERNS = void 0;
exports.REQUIRED_FILES_PATTERNS = [
    '**/package.json',
    '.ewizard/**/*',
    'build/dev/**',
    'index.html',
];
exports.EMAIL_FILES_PATTERN = [
    '*.*',
    '**/*.json',
    'common/components/components.js',
    '.eslintrc.*',
    '!build',
    '!.git/**',
    '!.sass-cache/**',
    '!.vscode/**',
    '!.idea/**',
    '!**/demo',
    '!*.zip',
    '!node_modules/**/*',
    'node_modules/**/ewizardjs/assets/**',
    '!.wizrc',
];
exports.DEFAULT_FILES_PATTERN = [
    '*.*',
    '.ewizard',
    '.eslintrc.*',
    '**/*',
    '**/**',
    '!build',
    'build/dev/**',
    '!.git/**',
    '!.sass-cache/**',
    '!.vscode/**',
    '!.idea/**',
    '!**/demo',
    '!*.zip',
    '!node_modules/.cache',
    '!settings.json',
    '!.wizrc',
];
function filterFiles(path) {
    const REGEXP = /(\.git)|(\.zip)|(\.idea)|(\.vscode)|(\\build)$/;
    return !REGEXP.test(path);
}
exports.filterFiles = filterFiles;
//# sourceMappingURL=filesPattern.js.map