/// <reference types="node" />
import * as url from 'url';
export declare class BrowserCallbackServer {
    createCallbackUrl(port: number): string;
    start(requestUrl: string, redirectPort: number, messages: any, onRequest: (url: url.Url) => void, onError: (error: Error) => void): void;
    private isPageLoaded;
    private respondForServer;
    private respondWithFile;
    private isIgnoredPath;
    private getFullPath;
    private isHtmlFile;
    private setMessages;
    private isDirectory;
}
