"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const clone = require("git-clone-specific-branch");
function downloadGitRepo(template, path) {
    const version = template.version || 'master';
    return new Promise((resolve) => clone(template.url, path, {
        shallow: true,
        checkout: version,
    }, resolve));
}
exports.default = downloadGitRepo;
//# sourceMappingURL=downloadGitRepo.js.map